2017-05-30 12:58 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001630openmediavaultBugpublic2017-03-20 07:51
ReporterMathieuMD 
Assigned Tovotdev 
PriorityhighSeverityblockReproducibilityalways
StatusresolvedResolutionno change required 
PlatformOSDebianOS Version8.6
Product Version 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001630: omv-update fails during openmediavault installation
DescriptionDuring the upgrade of OMV from 2 to 3, the `omv-update` command[1] fails, and I end up with not being able to access OMV Web UI. (thanks god, NFS exports are still OK! ^^)

I copied the output of the failing update, with an error about sed:
"sed: -e expression #1, char 95: unterminated `s' command"
Unfortunately, it doesn't say more, so I don't where and what to fix by hand.

What can I do to unblock the situation?

Thank you.

1. Note that the wiki still talk about `omv-release-upgrade`:
http://wiki.openmediavault.org/index.php?title=Updates_to_OMV
Additional Information```
omv-update
[...]
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
5 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up openmediavault (3.0.49) ...
Updating configuration ...
Clearing symlinks in /etc/ssl/certs...done.
Updating certificates in /etc/ssl/certs... WARNING: Skipping duplicate certificate openmediavault-1fd8004d-5193-4241-8a81-d8cb37839385.crt
WARNING: Skipping duplicate certificate openmediavault-1fd8004d-5193-4241-8a81-d8cb37839385.crt
174 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d....done.
WARNING: The node 'proxy' already exists at XPath '/config/system/network'.
WARNING: The node 'http' already exists at XPath '/config/system/network/proxy'.
[...]
WARNING: The node 'username' already exists at XPath '/config/system/network/proxy/ftp'.
WARNING: The node 'password' already exists at XPath '/config/system/network/proxy/ftp'.
sed: -e expression #1, char 95: unterminated `s' command
dpkg: error processing package openmediavault (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of openmediavault-clamav:
 openmediavault-clamav depends on openmediavault (>= 3.0.40); however:
  Package openmediavault is not configured yet.

dpkg: error processing package openmediavault-clamav (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of openmediavault-lvm2:
 openmediavault-lvm2 depends on openmediavault (>= 3.0.33); however:
  Package openmediavault is not configured yet.

dpkg: error processing package openmediavault-lvm2 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of openmediavault-netatalk:
 openmediavault-netatalk depends on openmediavault (>= 3.0.40); however:
  Package openmediavault is not configured yet.

[...]
Errors were encountered while processing:
 openmediavault
 openmediavault-clamav
 openmediavault-lvm2
 openmediavault-netatalk
 openmediavault-nut
Creating index of upgradeable packages ...
Creating index of openmediavault plugins ...
E: Sub-process /usr/bin/dpkg returned an error code (1)
```
TagsNo tags attached.
Product build
Attached Files

-Relationships
+Relationships

-Notes

~0004468

votdev (administrator)

Fixed in openmediavault 3.0.50, see https://github.com/openmediavault/openmediavault/commit/90d7905788cb5f56d3837674a6ec6aa20d45c245

~0004469

MathieuMD (reporter)

Sorry, but it doesn't seems to fix my problem:

```
[...]
Setting up openmediavault (3.0.50) ...
[...]
sed: -e expression #1, char 95: unterminated `s' command
dpkg: error processing package openmediavault (--configure):
 subprocess installed post-installation script returned error exit status 1
[...]
```

~0004667

MathieuMD (reporter)

Seems to have been fixed between 3.0.50 and 3.0.66. Thank you!
+Notes

-Issue History
Date Modified Username Field Change
2016-10-27 17:12 MathieuMD New Issue
2016-10-27 17:12 MathieuMD Status new => assigned
2016-10-27 17:12 MathieuMD Assigned To => votdev
2016-10-28 01:27 votdev Note Added: 0004468
2016-10-28 01:27 votdev Status assigned => resolved
2016-10-28 01:27 votdev Fixed in Version => Erasmus (3.x)
2016-10-28 01:27 votdev Resolution open => fixed
2016-10-28 21:06 MathieuMD Note Added: 0004469
2016-10-28 21:06 MathieuMD Status resolved => feedback
2016-10-28 21:06 MathieuMD Resolution fixed => reopened
2017-03-18 22:36 MathieuMD Note Added: 0004667
2017-03-18 22:36 MathieuMD Status feedback => assigned
2017-03-20 07:51 votdev Status assigned => resolved
2017-03-20 07:51 votdev Resolution reopened => no change required
+Issue History